/*
 * SPDX-FileCopyrightText: 2024 Slava Aseev <nullptrnine@basealt.ru>
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 */

import QtQuick 2.15
import QtQuick.Layouts 1.15

import org.kde.plasma.core 2.0 as PlasmaCore

ColumnLayout {
    Layout.margins: PlasmaCore.Units.mediumSpacing

    Image {
        id: yandexLogo

        Layout.fillWidth: true
        Layout.alignment: Qt.AlignHCenter | Qt.AlignBottom
        Layout.preferredHeight: PlasmaCore.Units.iconSizes.smallMedium

        fillMode: Image.PreserveAspectFit
        opacity: 0.85
        source: main.yandexLogoPath

        MouseArea {
            anchors.fill: parent

            cursorShape: Qt.PointingHandCursor
            onEntered: yandexLogo.opacity = 1.0
            onExited: yandexLogo.opacity = 0.85
            hoverEnabled: true

            onClicked: {
                Qt.openUrlExternally(
                    "https://yandex.ru/pogoda/?lat=" + main.currentLat +
                    "&lon=" + main.currentLon + "&via=srp");
            }
        }
    }
}
